// Initialize the WebSocket; the complete DOM does not have to be available
// so we do not have to wait for the page to load, etc.
Websock = new WebSocket('ws://'+location.hostname+':'+location.port+'/websocket')

if (!Websock) alert("Could not connect WebSocket!")
else {
    // Define necessary WebSocket functions.
    Websock.onopen = function () { alert("WebSocket connected.") }
    Websock.onmessage = function (msg) {
        var txtbox = document.getElementById("replytxt")
        txtbox.innerHTML = msg.data
    }
}

// Called from the HTML form's button.
function sendMessage () {
    if (!Websock) {
        alert("WebSocket not connected.")
        return
    }
    var mbox = document.getElementById("msgbox")
    if (mbox.value) Websock.send(mbox.value)
    mbox.value = ""
}
